Skip to main content
GET
/
mud
/
worlds
List of MUD worlds.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/mud/worlds?apikey='
{
  "items": [
    {
      "address": {
        "ens_domain_name": "<string>",
        "hash": "<string>",
        "implementations": [
          {
            "address_hash": "<string>",
            "name": "<string>"
          }
        ],
        "is_contract": true,
        "is_scam": true,
        "is_verified": true,
        "metadata": {
          "tags": [
            {
              "meta": {},
              "name": "<string>",
              "ordinal": 123,
              "slug": "<string>",
              "tagType": "<string>"
            }
          ]
        },
        "name": "<string>",
        "proxy_type": "eip1167",
        "reputation": "ok",
        "private_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "public_tags": [
          {
            "address_hash": "<string>",
            "display_name": "<string>",
            "label": "<string>"
          }
        ],
        "watchlist_names": [
          {
            "display_name": "<string>",
            "label": "<string>"
          }
        ]
      },
      "coin_balance": "<string>",
      "transactions_count": 123
    }
  ],
  "next_page_params": {
    "items_count": 50,
    "world": "0x82cb040ff4463bff3395d52b558fd77c61583b27"
  }
}

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

world
string

MUD world address hash for paging

Pattern: ^0x([A-Fa-f0-9]{40})$
items_count
integer

Number of items returned per page

Required range: 1 <= x <= 50

Response

200 - application/json

List of MUD worlds.

items
World · object[]
required
next_page_params
object
required
Example:
{
"items_count": 50,
"world": "0x82cb040ff4463bff3395d52b558fd77c61583b27"
}